LISP extrude along path

Discussion in 'AutoCAD' started by kam--mik, Sep 23, 2004.

  1. kam--mik

    kam--mik Guest

    Hi all,

    I have a 3dface object, and I want to extrude it along a specifc line (not
    perpendicular to the face)

    What is the Command for it?

    Thanks.
     
    kam--mik, Sep 23, 2004
    #1
  2. kam--mik

    Jürg Menzi Guest

    Hi kam--mik

    Something like this?
    Code:
    (defun C:ExtrudeByPath ( / CurSet OldCmd *Error*)
    (setq OldCmd (getvar "CMDECHO"))
    (defun *Error* (Msg)
    (setvar "CMDECHO" OldCmd)
    (if Msg (princ Msg))
    (princ)
    )
    (if (setq CurSet (ssget))
    (progn
    (setvar "CMDECHO" 0)
    (command "_.EXTRUDE" CurSet "" "_PATH")
    (princ "\nSelect extrusion path: ")
    (command pause)
    )
    (princ "Nothing selected.")
    )
    (*Error* nil)
    )
    
    Cheers
     
    Jürg Menzi, Sep 23, 2004
    #2
  3. kam--mik

    kam--mik Guest

    Thanks! It helps a lot!

    I managed to add the entity at the last argument.
    (command "_.EXTRUDE" ename "" "_PATH" myline)
     
    kam--mik, Sep 23, 2004
    #3
  4. kam--mik

    Jürg Menzi Guest

    Welcome...¦-)

    Cheers
     
    Jürg Menzi, Sep 23, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.